---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci retry`

Retry a CI/CD job

```plaintext
glab ci retry <job-id> [flags]
```

## Examples

```plaintext
$ glab ci retry
# Interactively select a job to retry

$ glab ci retry 224356863
# Retry job with ID 224356863

$ glab ci retry lint
# Retry job with the name 'lint'

```

## Options

```plaintext
  -b, --branch string     The branch to search for the job. (Default: current branch)
  -p, --pipeline-id int   The pipeline ID to search for the job.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
